Download it now!
Bug 116449 - impress FILESAVE stores huge TablePreview.svm in odp file
Summary: impress FILESAVE stores huge TablePreview.svm in odp file
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.5.1 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ImpressDraw-Tables
  Show dependency treegraph
 
Reported: 2018-03-17 15:04 UTC by joerg.kubitz@gmx.de
Modified: 2019-03-20 03:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
odp containing a table with background image (56.60 KB, application/vnd.oasis.opendocument.presentation)
2018-03-17 15:13 UTC, joerg.kubitz@gmx.de
Details
screenshot of uncompressed file content (9.37 KB, image/png)
2018-03-17 15:15 UTC, joerg.kubitz@gmx.de
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joerg.kubitz@gmx.de 2018-03-17 15:04:47 UTC
Description:
.odp files are unnecessary large if they contain a table.

I guess its not needed to store that "previews" at all - because if i delete the preview the file will still work.
The files are a problem if the table has a backgroundimage. Then the "preview" is way too large (Probably the "preview" contains uncompressed image)

Also using the "compres presentation" feature will not delete prevent impress from storing such "previews" and reports estimated file sizes that are totaly wrong.

Steps to Reproduce:
1.Add tables in a impress presentation and storing the presentation as ".odp" 


Actual Results:  
The .odp file contains a zipped "pictures\TablePreview1.svm"

Expected Results:
no SVM files inside odp


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 joerg.kubitz@gmx.de 2018-03-17 15:13:24 UTC
Created attachment 140672 [details]
odp containing a table with background image
Comment 2 joerg.kubitz@gmx.de 2018-03-17 15:15:20 UTC
Created attachment 140673 [details]
screenshot of uncompressed file content
Comment 3 Buovjaga 2018-03-17 17:03:03 UTC
The table background image seems to be a new feature in 4.4, because it does not show when opened in 4.3.

Let's ask what UX thinks about what we should do with the preview.
Comment 4 Regina Henschel 2018-03-18 14:41:51 UTC
The preview is only used in a <draw:image> element as second representation for the <table:table> element. The purpose of a second representation is to allow other applications to present an ersatz to the user, in case this application cannot handle the first representation. But the svm format is not suitable for this purpose, because only LibreOffice and Apache OpenOffice can read it. But both of them do not need it, because they can read the <table:table> element. I think, this "preview" is useless.
Comment 5 Buovjaga 2018-03-18 14:49:33 UTC
Thanks for the assessment, Regina.
Comment 6 QA Administrators 2019-03-20 03:50:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug